# version 1.1.0
%global commit 6a2ed28ba68cddab6927ac27a9b991f01ea85ec5
%global shortcommit %(c=%{commit}; echo ${c:0:12})

Name:           ocaml-charinfo-width
Version:        1.1.0
Release:        %mkrel 8
Summary:        Determine column width for a character
Group:          Development/OCaml

%global libname charInfo_width

# MIT-licensed according to opam metadata.
# Issue filed here: https://bitbucket.org/zandoye/charinfo_width/issues/1/include-mit-license-copying-file
License:        MIT
URL:            https://bitbucket.org/zandoye/charinfo_width/
Source0:        https://bitbucket.org/zandoye/charinfo_width/get/%{version}.tar.gz#/%{libname}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-camomile-devel

BuildRequires:  ocaml-dune

%description
Determine column width for a character

This module is implemented purely in OCaml and the width function
follows the prototype of POSIX's wcwidth.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and
signature files for developing applications that use %{name}.

%prep
%autosetup -n zandoye-charinfo_width-%{shortcommit}

%build
# It might be nice to have a %jbuilder macro that just does this.
dune build -p %{libname} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/%{libname}/
cp -aLr _build/install/default/lib/%{libname}/* %{buildroot}%{_libdir}/ocaml/%{libname}/

%files
#license LICENSE
%doc README.md CHANGES.md
%{_libdir}/ocaml/%{libname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif
%exclude %{_libdir}/ocaml/*/*.mli


%files devel
#license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif
%{_libdir}/ocaml/*/*.mli




%changelog
* Thu May 19 2022 pterjan <pterjan> 1.1.0-8.mga9
+ Revision: 1859171
- Rebuild for OCaml 4.14

* Tue Apr 05 2022 umeabot <umeabot> 1.1.0-7.mga9
+ Revision: 1845140
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.1.0-6.mga9
+ Revision: 1750918
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.1.0-5.mga9
+ Revision: 1697342
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.1.0-4.mga8
+ Revision: 1670436
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1551654
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1543565
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.1.0-1.mga8
+ Revision: 1481931
- imported package ocaml-charinfo-width

